Subject: Re: [ntpwg] ´ð¸´: IPv6 Router Advertisement Option for NTP Configuration

From: Danny Mayer <[email-masked]>
Date: Thu, 24 Jun 2010 10:22:11 -0400

[resend]
On 6/22/2010 2:34 AM, Dacheng Zhang wrote:
> Hi:
> 
> Actually, this is a very initial draft. We submited the draft and hoped to
> get some feed back to see whether this is a good topic for us to spend some
> efforts. That is why we didn't specify the packet format. I think that it
> makes sense  to use RAs to transport NTP information even DHCP can do it.
> It just like that although DHCP can be extended to transport the IP
> addresses of DNS servers, people still think that benefit can be brought by
> using RAs to transport DNS addresses (RFC5006).
> 

Well I'm not sure I understand the benefits of doing this over RA as
opposed to DHCP. The DHCP IPv6 option has just been published as RFC
5908 so you should look at that.

Please understand that if you want to publish NTP servers you need to
send at least 3 or 4 unless you are using a broadcast NTP server which
is most likely to be multicasting on FF05::101 in which case you don't
really need to let NTP clients know since they would be set up to listen
for NTP packets on that address which is reserved for NTP.

> We also have realized there are lots of security issues which need to be
> carefully considered. However, before we engaged into this area, we want to
> get comments from experts like you. See whether the issues are worthwhile
> for us to explore. 
>

Yes, I have lots of worries in the security area.

Danny

_______________________________________________
ntpwg mailing list
[email-masked]
http://lists.ntp.org/listinfo/ntpwg